@font-face {
    font-display: swap;
    font-family: 'Poppins';
    font-style: normal;
    font-weight: 400;
    src: url('../fonts/poppins-v21-latin-regular.eot');
    src: url('../fonts/poppins-v21-latin-regular.eot?#iefix') format('embedded-opentype'), url('../fonts/poppins-v21-latin-regular.woff2') format('woff2'), url('../fonts/poppins-v21-latin-regular.woff') format('woff'), url('../fonts/poppins-v21-latin-regular.ttf') format('truetype'), url('../fonts/poppins-v21-latin-regular.svg#Poppins') format('svg');
}

@font-face {
    font-display: swap;
    font-family: 'Poppins';
    font-style: normal;
    font-weight: 700;
    src: url('../fonts/poppins-v21-latin-700.eot');
    src: url('../fonts/poppins-v21-latin-700.eot?#iefix') format('embedded-opentype'), url('../fonts/poppins-v21-latin-700.woff2') format('woff2'), url('../fonts/poppins-v21-latin-700.woff') format('woff'), url('../fonts/poppins-v21-latin-700.ttf') format('truetype'), url('../fonts/poppins-v21-latin-700.svg#Poppins') format('svg');
}

:root {
    font-size: 16px;
}

* {
    box-sizing: border-box;
    margin: 0;
    padding: 0;
}

body {
    color: #231f20;
    font-family: 'Poppins', Arial, sans-serif;
    font-size: 16px;
    line-height: 22px;
    font-weight: 400;
}

#wrapper {
    max-width: 800px;
    margin: 16px auto;
    border: 1px solid #231f20;
    background-color: #fff;
}

article {
    padding: 0 40px;
    position: relative;
}

figure {
    margin: 14px 0 16px;
}

.kontakt {
    display: flex;
    align-items: flex-start;
    justify-content: space-between;
}

footer {
    margin: -80px 0 0;
}

p {
    margin: 0 0 14px;
    text-align: justify;
    hyphens: auto;
}

:is(strong, h1, h2) {
    font-weight: 700;
}

h1 {
    margin: 0 0 16px;
    font-size: 45px;
    line-height: 1.2;
    text-align: center;
}

h2 {
    font-size: 16px;
}

:is(a:link, a:visited, a:hover, a:active) {
    color: #231f20;
    text-decoration: none;
    white-space: nowrap;
}

img {
    max-width: 100%;
    vertical-align: middle;
}

@media all and (max-width: 798px) {
    #wrapper {
        margin: 0 auto;
        border: none;
    }

    article {
        padding: 0 16px;
    }

    p {
        text-align: left;
        text-wrap: pretty;
    }
}

@media all and (max-width: 738px) {
    .kontakt {
        flex-direction: column;
        align-items: center;
        gap: 5px;
    }

    .kontakt p {
        text-align: center;
    }

    footer {
        margin: -10% 0 0;
    }

    h1 {
        font-size: 32px;
    }
}

@media all and (max-width: 374px) {
    a {
        white-space: normal !important;
        word-break: break-all;
    }
}